# Upgrade docs

## Moving from v1.105 to v1.126

To migrate from v1.105 to v1.126 you need to follow these steps:

- Copy the latest content of the [docker-compose.yaml](../../docker-compose.yaml) file, all of it and override the file `/opt/matrix/docker-compose.yaml` in the server with the latest content.
- Modify the nginx config by removing the following lines from the `/etc/nginx/sites-enabled/default` config file (remove all of them):

```
    location ~ ^/(client/|_matrix/client/unstable/org.matrix.msc3575/sync) {
        proxy_pass http://10.10.10.7:8008;
        proxy_set_header X-Forwarded-For $remote_addr;
        proxy_set_header X-Forwarded-Proto $scheme;
        proxy_set_header Host $host;
    }
```

- Edit the same file and look for the word `org.matrix.msc3575.proxy`. Change it for `m.identity_server`
- Add the following value to the file `/opt/matrix/config/synapse/homeserver.yaml` (Change the `DOMAIN` value accordingly!!):

```yaml
public_baseurl: "https://DOMAIN"
```

- Now it's time to bunce it all, run the following as root:

```
# Restart nginx
% nginx -s reload
# Restart matrix
% systemctl restart matrix.service
```

- Give it a few minutes to come back up and you are ready to go :)